Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dba.db2
Class DB2ActionBuilder

    java.lang.Object
      org.objectstyle.cayenne.dba.JdbcActionBuilder
          org.objectstyle.cayenne.dba.db2.DB2ActionBuilder

All Implemented Interfaces:
  SQLActionVisitor

    public class DB2ActionBuilder

extends JdbcActionBuilder

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.objectstyle.cayenne.dba.JdbcActionBuilder
`adapter, entityResolver`

Constructor Summary
`DB2ActionBuilder(DbAdapter adapter, EntityResolver resolver)`

Method Summary
`protected SQLAction` | `interceptRawSQL(SQLAction action)` Creates a SQLTemplate handling action that removes line breaks from SQL template string to satisfy DB2 JDBC driver.
`SQLAction` | `sqlAction(SQLTemplate query)` Executes a SQLTemplate.
`SQLAction` | `updateAction(Query query)` Executes a generic update query.

Methods inherited from class org.objectstyle.cayenne.dba.JdbcActionBuilder
`batchAction, getAdapter, getEntityResolver, objectSelectAction, procedureAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DB2ActionBuilder

    public DB2ActionBuilder(DbAdapter adapter,
                            EntityResolver resolver)

Method Detail

### interceptRawSQL

    protected SQLAction interceptRawSQL(SQLAction action)

  Creates a SQLTemplate handling action that removes line breaks from SQL template string to satisfy DB2 JDBC driver.

### sqlAction

    public SQLAction sqlAction(SQLTemplate query)

  Description copied from interface: `SQLActionVisitor`
  Executes a SQLTemplate.

  Specified by:
    `sqlAction` in interface `SQLActionVisitor`
  Overrides:
    `sqlAction` in class `JdbcActionBuilder`

### updateAction

    public SQLAction updateAction(Query query)

  Description copied from interface: `SQLActionVisitor`
  Executes a generic update query.

  Specified by:
    `updateAction` in interface `SQLActionVisitor`
  Overrides:
    `updateAction` in class `JdbcActionBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.